Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## grails.util
[Java] Annotation Type Mixin

    java.lang.Object
      grails.util.Mixin

    @java.lang.annotation.Retention(RetentionPolicy.SOURCE)
    @java.lang.annotation.Target(ElementType.TYPE)
    @org.codehaus.groovy.transform.GroovyASTTransformationClass("org.codehaus.groovy.grails.compiler.injection.MixinTransformation")
    public @interface Mixin

Required Element Summary
`java.lang.Class` | `value`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### value

    public java.lang.Class[] value

Groovy Documentation